<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>12.2 変形されたランダムウォークランダムウォーク &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>12.2 変形されたランダムウォークランダムウォーク<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h1>
<p>これまでは粒子が直前の1歩を&#8221;記憶&#8221;していない場合の1次元と2次元格子上のランダムウォークについて考えてきた。粒子が直前の1歩を覚ええいたらどうなるだろうか。複数の粒子を考え、重複して専有することが許されないという条件を課すとどうなるだろうか。この節では、単純なランダムウォークを変形したさまざまなモデルを調べる。それらはすべて物理系へ応用できるので、それらや他の変形されたランダムウォークのモデルを必要とする現象について、さらに考えてみるとよい。</p>
<div class="section" id="id2">
<h2>問題12.4 継続型ランダムウォーク<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h2>
<ol class="loweralpha simple">
<li>&#8220;継続型&#8221;ランダムウォークでは、遷移、すなわち&#8221;ジャンプ&#8221;の確率が直前の履歴に依存する。1次元格子上のランダムウォークを考え、すでにN-1ステップ進んでいるとする。Nステップ目は確率 <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> で同じ方向に進み、確率 <img class="math" src="../_images/math/de6153ef1dccee84904f1dbac1e439589f70d375.png" alt="1-\alpha"/> で反対方向に進む。この1次元の継続型ランダムウォークのモンテカルロ・シミュレーションを行うプログラムを書け。そして、 <img class="math" src="../_images/math/cd355b441461cec3260e9ceb3c3c59ce4fde62ff.png" alt="&lt;x(N)&gt;,&lt;x^{2}(N)&gt;,&lt;\Delta x^{2}(N)&gt;,P(x,N)"/> を計算せよ。粒子の初期位置と初期の方向を設定する必要がある。この継続型ランダムウォークで <img class="math" src="../_images/math/41e87dc743b9de9dda37661008af592d67bc9773.png" alt="\alpha = 1/2"/> の極限はどうなるか。</li>
<li><img class="math" src="../_images/math/0af71c020b91adf82a3ba589d5bcfb369ece9984.png" alt="\alpha =0.25"/> と <img class="math" src="../_images/math/be4a7a6c1d8e700b424878c5067bad5deae65e8a.png" alt="\alpha = 0.75"/> の場合を考えて、 <img class="math" src="../_images/math/ecec257c518c82d9e3305938b7a79b0e80ba24c0.png" alt="n=8,64,256,512"/> について、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> を求めよ。さらに大きい <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> についての <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>  の <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する両対数プロットから <img class="math" src="../_images/math/d67fb61cfffca2cc069e083d76cb6220b4ca14c8.png" alt="\nu"/> の値を求めよ。 <img class="math" src="../_images/math/d67fb61cfffca2cc069e083d76cb6220b4ca14c8.png" alt="\nu"/> は <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> に依存するか。 <img class="math" src="../_images/math/7f9431d7b42ee8c3c0dbe1ed2d40d3e198c708af.png" alt="\nu \simeq 1/2"/> なら、 <img class="math" src="../_images/math/0af71c020b91adf82a3ba589d5bcfb369ece9984.png" alt="\alpha =0.25"/> と <img class="math" src="../_images/math/861fff1b38bab768baf0a01f3c57f6e210a8ce9e.png" alt="0.75"/> について自己拡散係数Dを求めよ。 <img class="math" src="../_images/math/cde0a97fcd597deb56b68ced9d4f4c4af9da098d.png" alt="D(\alpha \neq 0.5)"/> が <img class="math" src="../_images/math/2be043adccd07ccacab04d620d281198906f5dee.png" alt="D(\alpha = 0.5)"/> より大きくなる(または小さくなる)物理的理由を述べよ。</li>
<li>継続型ランダムウォークは、状態が直前の遷移によって定義される多重状態のランダムウォークの一例とみなすことができる。上の例では、粒子は2つの状態のうちのどちらか一方にいて、各ステップについて同じ状態にとどまる確率と遷移する確率は、それぞれ <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> と <img class="math" src="../_images/math/de6153ef1dccee84904f1dbac1e439589f70d375.png" alt="1-\alpha"/> である。この2状態ランダムウォークの最も初期の適用例の1つにクロマトグラフィー柱の拡散の問題がある。クロマトグラフィー柱の中の分子は運動状態(一定速度 <img class="math" src="../_images/math/0e22076955898e6c9bb38aa079135195c24dc81e.png" alt="v"/> )か、捕らえられた状態(速度0)のどちらかにあるとする。この場合、各ステップで位置を <img class="math" src="../_images/math/5afef8883a1e1142173e76df8d16e764b2779782.png" alt="\pm 1"/> 変化させる代わりに、各ステップで位置を <img class="math" src="../_images/math/2902a4739e09709096f06c669828f491ed0007b1.png" alt="+v"/> か0だけ変化させる。実験的に興味のある量は、分子がNステップの後に距離xだけ移動する確率 <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> である。 <img class="math" src="../_images/math/6b93964bcde101c3d8f4a4a080b5fc6902861690.png" alt="v = 1, \alpha = 0.75"/> として、 <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> の定性的な振る舞いを調べよ。分子はどちらの状態にも拡散することができないのに、分子の有効拡散係数は定義できる理由を説明せよ。</li>
<li>継続型ランダムウォークでは、 <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> の値が0にならないと予想したかもしれない。実際には <img class="math" src="../_images/math/fea88418767a5f3121d6008674898947a891570d.png" alt="&lt;x(N)&gt;=0"/> となることを確かめよ。また、それが正確に成り立つ理由を説明せよ。継続型ランダムウォークは、 <img class="math" src="../_images/math/240c058a4645455e87dcf74421cef367b4168218.png" alt="p\neq q"/> として向きに偏りを持たせたランダムウォークとどう異なるか。</li>
</ol>
</div>
<div class="section" id="a">
<h2>付録7A ランダムウォークと拡散方程式<a class="headerlink" href="#a" title="Permalink to this headline">¶</a></h2>
<p>ランダムウォークと拡散方程式の関係を理解するために、拡散方程式から <img class="math" src="../_images/math/e8b4acec9cbfb51ca2c0d5a3f15fe233398c65a9.png" alt="&lt;x(t)&gt;"/> が0になることと <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> がtに比例することが導かれることを示そう。拡散方程式は</p>
<div class="math">
<p><img src="../_images/math/b08b884ed2ede4b1e0cefce7bd00f798532e36d5.png" alt="\frac{\partial P(x,t)}{\partial t} = D \frac{\partial^{2} P(x,t)}{\partial x^{2}}"/></p>
</div><p><img class="math" src="../_images/math/e8b4acec9cbfb51ca2c0d5a3f15fe233398c65a9.png" alt="&lt;x(t)&gt;"/> と <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> のt依存性を()から導くために、任意のxの関数の平均を</p>
<div class="math">
<p><img src="../_images/math/e4ff27c4e5387af908deecea140edd018cc3742b.png" alt="&lt;f(x,t)&gt; = \int_{-\infty}^{\infty} f(x)P(x,t)dx"/></p>
</div><p>で表す。そうすると変位の平均は</p>
<div class="math">
<p><img src="../_images/math/73cbbe4827982278aeedf2bb88c75ea8229c4093.png" alt="&lt;x(t)&gt; = \int_{-\infty}^{\infty} xP(x,t)dx"/></p>
</div><p>で与えられる。式()の右辺の積分を実行するために、式()の両辺にxを掛けて形式的にxについて積分する。</p>
<div class="math">
<p><img src="../_images/math/d55127f515bbeda8036763abea40d9236967aefa.png" alt="\int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial t}dx = D \int_{-\infty}^{\infty} x \frac{\partial^{2} P(x,t)}{\partial x^{2}}dx"/></p>
</div><p>左辺は</p>
<div class="math">
<p><img src="../_images/math/2bafd6e5da4c3420eadb0a5c3dc38b4a148d6934.png" alt="\int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial t}dx = \frac{\partial}{\partial t} \int_{-\infty}^{\infty} x P(x,t)dx = \frac{\partial}{\partial t} &lt;x&gt;"/></p>
</div><p>と表される。式()の右辺は部分積分をすると、求めている形に書き換えられる。</p>
<div class="math">
<p><img src="../_images/math/a3903ed8998561fea55c4921f45bd0cb85545bbe.png" alt="D \int_{-\infty}^{\infty} x \frac{\partial^{2} P(x,t)}{\partial x^{2}}dx = D x \frac{\partial P(x,t)}{\partial x}\biggm|_{x = -\infty}^{x = \infty} - D \int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial x}dx"/></p>
</div><p><img class="math" src="../_images/math/bf060a79c23e355dc6540602c829e562a321118e.png" alt="P(x=\pm \infty, t) = 0"/> であり、 <img class="math" src="../_images/math/6c210deb83388d4803c140cc88403cf07de1c37f.png" alt="x=\pm 1"/> では <img class="math" src="../_images/math/f48b617185733d8dd6712643f1ab17c736661a06.png" alt="P"/> のすべての空間微分は0なので、式()の右辺第1項は0になる。第2項は、積分すると <img class="math" src="../_images/math/57a1660e458bd52052411c20cb08a891bd0fcb1a.png" alt="D[P(x = \infty, t)-P(x = \infty, t)]"/> となるので、やはり0になる。したがって</p>
<div class="math">
<p><img src="../_images/math/3a9e381b7f1cfbb416e692c8c9424df347a0f321.png" alt="\frac{\partial}{\partial x}&lt;x&gt; = 0"/></p>
</div><p>が得られ、 <img class="math" src="../_images/math/bab3d445204c4c41f8ea60354ada2878eed2d173.png" alt="&lt;x&gt;"/> は時間によらない定数になる。 <img class="math" src="../_images/math/4e2677b4edfbb85a135b7807d780a44ffa83f052.png" alt="t=0"/> で <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> なので、結局、すべての <img class="math" src="../_images/math/ef9270877405055756d345facd044e4ab297f858.png" alt="t"/> について <img class="math" src="../_images/math/1277017943e29284d26ceda13ca352d969e99346.png" alt="&lt;x&gt;=0"/> が成り立つという結論になる。 <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> を計算するには2度の部分積分が必要であり、そうすると</p>
<div class="math">
<p><img src="../_images/math/7731ff2102f0215ef7da0e593f317fc9c515d92f.png" alt="\frac{\partial}{\partial x}&lt;x^{2}(t)&gt; = 2D"/></p>
</div><p>したがって</p>
<div class="math">
<p><img src="../_images/math/3ec376bdc6435c4cae3268b6361ef9408a7f3441.png" alt="&lt;x^{2}(t)&gt; = 2Dt"/></p>
</div><p>が得られる。こうして、ランダムウォークと拡散方程式が同じ時間依存性を持つことがわかる。 <img class="math" src="../_images/math/425d86ba2f2979d75b7535c2bcf92c33ed6b285a.png" alt="d"/> 次元空間では、 <img class="math" src="../_images/math/4106b56306f84c6235988b76d741e092dd264a92.png" alt="2D"/> は <img class="math" src="../_images/math/f674855e8f6091e3bbc530bf23aeaa1aa2893317.png" alt="2dD"/> に置き換えられる。</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">12.2 変形されたランダムウォークランダムウォーク</a><ul>
<li><a class="reference internal" href="#id2">問題12.4 継続型ランダムウォーク</a></li>
<li><a class="reference internal" href="#a">付録7A ランダムウォークと拡散方程式</a></li>
</ul>
</li>
</ul>

  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/12-4_history-dependent_rw/before.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>